Update Customer Link
PUT /obp/v7.0.0/banks/BANK_ID/customer-links/CUSTOMER_LINK_ID
OBPv6.0.0-updateCustomerLink Roles: CanUpdateCustomerLink(per bank) Customer
Update an existing Customer Link.
Authentication is Required
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
BANK_ID: gh.29.uk
CUSTOMER_LINK_ID: CUSTOMER_LINK_ID
JSON response body fields (8)
- bank_id
- gh.29.uk
- customer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- customer_link_id
- customer_link_id
- date_inserted
- date_updated
- date_updated
- other_bank_id
- other_bank_id
- other_customer_id
- other_customer_id
- relationship_to
- relationship_to
Example request body
{
"relationship_to": "close_associate"
}Example success response
{
"customer_link_id": "613c83ea-80f9-4560-8404-b9cd4ec42a7f",
"bank_id": "gh.29.uk",
"customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"other_bank_id": "gh.29.uk",
"other_customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"relationship_to": "spouse",
"date_inserted": "1100-01-01T00:00:00Z",
"date_updated": "1100-01-01T00:00:00Z"
}Possible errors (7)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-10001: Incorrect json format.
- OBP-30147: Customer Link not found. Please specify a valid value for CUSTOMER_LINK_ID.
- OBP-20006: User is missing one or more roles:
- OBP-30149: Could not update the Customer Link.
- OBP-50000: Unknown Error.